Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMove.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMove.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMove.cs	(revision 16462)
@@ -22,9 +22,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("AdditiveMove", "A move on a real vector that that represents an additive change in one dimension.")]
-  [StorableClass]
+  [StorableType("D7E22627-2AB5-44A9-BD4D-9D1C5E45A150")]
   public class AdditiveMove : Item {
     [Storable]
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected AdditiveMove(bool deserializing) : base(deserializing) { }
+    protected AdditiveMove(StorableConstructorFlag _) : base(_) { }
     protected AdditiveMove(AdditiveMove original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveGenerator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveGenerator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveGenerator.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("AdditiveMoveGenerator", "Base class for all additive move generators.")]
-  [StorableClass]
+  [StorableType("254F20A6-AB7F-4C7D-9EA7-9310FD56743F")]
   public abstract class AdditiveMoveGenerator : SingleSuccessorOperator, IAdditiveRealVectorMoveOperator, IMoveGenerator, IStochasticOperator {
     public override bool CanChangeName {
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    protected AdditiveMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected AdditiveMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected AdditiveMoveGenerator(AdditiveMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public AdditiveMoveGenerator()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveMaker.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveMaker.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveMaker.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("AdditiveMoveMaker", "Peforms an additive move on a given real vector and updates the quality.")]
-  [StorableClass]
+  [StorableType("DFEC364D-EFF9-456C-A85C-095F454719C8")]
   public class AdditiveMoveMaker : SingleSuccessorOperator, IAdditiveRealVectorMoveOperator, IMoveMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected AdditiveMoveMaker(bool deserializing) : base(deserializing) { }
+    protected AdditiveMoveMaker(StorableConstructorFlag _) : base(_) { }
     protected AdditiveMoveMaker(AdditiveMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public AdditiveMoveMaker()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuAttribute.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuAttribute.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuAttribute.cs	(revision 16462)
@@ -22,9 +22,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("AdditiveMoveTabuAttribute", "Tabu attribute for additive moves.")]
-  [StorableClass]
+  [StorableType("F53207BE-01C0-4057-AACE-8DF031C8EBC5")]
   public class AdditiveMoveTabuAttribute : Item {
     [Storable]
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected AdditiveMoveTabuAttribute(bool deserializing) : base(deserializing) { }
+    protected AdditiveMoveTabuAttribute(StorableConstructorFlag _) : base(_) { }
     protected AdditiveMoveTabuAttribute(AdditiveMoveTabuAttribute original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuChecker.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuChecker.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuChecker.cs	(revision 16462)
@@ -27,9 +27,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("AdditiveMoveTabuChecker", "Prevents falling back into ranges that have been moved over before.")]
-  [StorableClass]
+  [StorableType("CA7D09FF-C936-474C-A0F8-17D9DBF783C2")]
   public class AdditiveMoveTabuChecker : SingleSuccessorOperator, IAdditiveRealVectorMoveOperator, ITabuChecker {
     public override bool CanChangeName {
@@ -64,5 +64,5 @@
 
     [StorableConstructor]
-    protected AdditiveMoveTabuChecker(bool deserializing) : base(deserializing) { }
+    protected AdditiveMoveTabuChecker(StorableConstructorFlag _) : base(_) { }
     protected AdditiveMoveTabuChecker(AdditiveMoveTabuChecker original, Cloner cloner) : base(original, cloner) { }
     public AdditiveMoveTabuChecker()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuMaker.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuMaker.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/AdditiveMoveTabuMaker.cs	(revision 16462)
@@ -24,9 +24,9 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("AdditiveMoveTabuMaker", "Sets the move tabu.")]
-  [StorableClass]
+  [StorableType("D495C70E-BE42-4FFB-B0E2-8422B7C8A1E9")]
   public class AdditiveMoveTabuMaker : TabuMaker, IAdditiveRealVectorMoveOperator {
     public ILookupParameter<AdditiveMove> AdditiveMoveParameter {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected AdditiveMoveTabuMaker(bool deserializing) : base(deserializing) { }
+    protected AdditiveMoveTabuMaker(StorableConstructorFlag _) : base(_) { }
     protected AdditiveMoveTabuMaker(AdditiveMoveTabuMaker original, Cloner cloner) : base(original, cloner) { }
     public AdditiveMoveTabuMaker()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/StochasticNormalMultiMoveGenerator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/StochasticNormalMultiMoveGenerator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/StochasticNormalMultiMoveGenerator.cs	(revision 16462)
@@ -25,10 +25,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("StochasticNormalMultiMoveGenerator", "Generates normal distributed moves from a given real vector.")]
-  [StorableClass]
+  [StorableType("2FCED1E2-2F4F-440A-9402-AA908DF0887B")]
   public class StochasticNormalMultiMoveGenerator : AdditiveMoveGenerator, IMultiMoveGenerator {
     public IValueLookupParameter<DoubleValue> SigmaParameter {
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected StochasticNormalMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticNormalMultiMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticNormalMultiMoveGenerator(StochasticNormalMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticNormalMultiMoveGenerator()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/StochasticPolynomialMultiMoveGenerator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/StochasticPolynomialMultiMoveGenerator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Encodings.RealVectorEncoding/3.3/Moves/StochasticPolynomialMultiMoveGenerator.cs	(revision 16462)
@@ -25,9 +25,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("StochasticPolynomialMultiMoveGenerator", "Generates polynomial moves from a given real vector.")]
-  [StorableClass]
+  [StorableType("94B0F4BE-E2CE-4521-8351-AAA21611D589")]
   public class StochasticPolynomialMultiMoveGenerator : AdditiveMoveGenerator, IMultiMoveGenerator {
     /// <summary>
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected StochasticPolynomialMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticPolynomialMultiMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticPolynomialMultiMoveGenerator(StochasticPolynomialMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticPolynomialMultiMoveGenerator()
